include::../docbook/attributes.adoc[]
= dftest(1)
:doctype: manpage
:stylesheet: ws.css
:linkcss:
:copycss: ../docbook/{stylesheet}

== NAME

dftest - Shows display filter byte-code, for debugging dfilter routines.

== SYNOPSIS

[manarg]
*dftest*
[ <filter> ]

== DESCRIPTION

*dftest* is a simple tool which compiles a display filter and shows its bytecode.
Please refer to doc/README.display_filter for a description of the
DFVM (Display Filter Virtual Machine) Byte Codes.

== OPTIONS

filter::
+
--
The display filter expression. If needed it has to be quoted.
--

include::diagnostic-options.adoc[]

== EXAMPLES

Show how the IP protocol is filtered:

    dftest ip

Shows how frame 150 is filtered:

    dftest "frame.number == 150"

== SEE ALSO

xref:wireshark-filter.html[wireshark-filter](4)

// 526a2946 - dftest and randpkt ... they are not documented in any man page.
== AUTHORS

.Original Author
[%hardbreaks]
Jan Šafránek

.Contributors
[%hardbreaks]
Jaap Keuter
